tpm_restrictsrk(8)

TPM Management - tpm_restrictsrk

NAME
tpm_restrictsrk - restrict the ability to access the Storage Root Key

SYNOPSIS
tpm_restrictsrk [OPTION]

DESCRIPTION

tpm_restrictsrk reports the status of who can access the Storage Root Key. This is the default behavior and also available with the --status option. This operation will be in effect until the owner is cleared and prompts for the owner passord. With the --restrict option, the ability to access the Storage Root Key is resticted to the owner. The command prompts for the owner password to complete the operation. The --allow and --restrict options are mutually exclusive and the last one on the command line will be carried out.

-h, --help
    Display command usage info.

-v, --version
    Display command version info.

-l, --log [none|error|info|debug]
    Set logging level.

-u, --unicode
    Use TSS UNICODE encoding for passwords to comply with applications using TSS popup boxes

-a, --allow
    Allow SRK read access using SRK auth

-s, --status
    Display the status of who can access the Storage Root Key

-r, --restrict
    Restrict SRK read to owner only

-z, --well-known
    Authenticate using 20 bytes of zeros as owner password (the default TSS Well Known Secret), instead of prompting for an owner password.

SEE ALSO

tpm_version(1), tpm_takeownership(8), tcsd(8)

REPORTING BUGS
Report bugs to <trousers-users@lists.sourceforge.net>